IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ff63::/16- First address
ff63::- Last address
ff63:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ff63:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
3.6.f.f.ip6.arpa
Split into smaller subnets
ff63::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff63::/24 | ff63:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff63:100::/24 | ff63:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff63:200::/24 | ff63:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff63:300::/24 | ff63:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff63:400::/24 | ff63:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff63:500::/24 | ff63:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff63:600::/24 | ff63:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff63:700::/24 | ff63:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff63:800::/24 | ff63:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff63:900::/24 | ff63:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff63:a00::/24 | ff63:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff63:b00::/24 | ff63:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff63:c00::/24 | ff63:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff63:d00::/24 | ff63:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff63:e00::/24 | ff63:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff63:f00::/24 | ff63:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff63:1000::/24 | ff63:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff63:1100::/24 | ff63:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff63:1200::/24 | ff63:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff63:1300::/24 | ff63:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff63:1400::/24 | ff63:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff63:1500::/24 | ff63:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff63:1600::/24 | ff63:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff63:1700::/24 | ff63:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff63:1800::/24 | ff63:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff63:1900::/24 | ff63:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff63:1a00::/24 | ff63:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff63:1b00::/24 | ff63:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff63:1c00::/24 | ff63:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff63:1d00::/24 | ff63:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff63:1e00::/24 | ff63:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff63:1f00::/24 | ff63:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff63:2000::/24 | ff63:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff63:2100::/24 | ff63:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff63:2200::/24 | ff63:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff63:2300::/24 | ff63:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff63:2400::/24 | ff63:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff63:2500::/24 | ff63:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff63:2600::/24 | ff63:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff63:2700::/24 | ff63:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff63:2800::/24 | ff63:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff63:2900::/24 | ff63:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff63:2a00::/24 | ff63:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff63:2b00::/24 | ff63:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff63:2c00::/24 | ff63:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff63:2d00::/24 | ff63:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff63:2e00::/24 | ff63:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff63:2f00::/24 | ff63:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff63:3000::/24 | ff63:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff63:3100::/24 | ff63:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff63:3200::/24 | ff63:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff63:3300::/24 | ff63:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff63:3400::/24 | ff63:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff63:3500::/24 | ff63:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff63:3600::/24 | ff63:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff63:3700::/24 | ff63:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff63:3800::/24 | ff63:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff63:3900::/24 | ff63:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff63:3a00::/24 | ff63:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff63:3b00::/24 | ff63:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff63:3c00::/24 | ff63:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff63:3d00::/24 | ff63:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff63:3e00::/24 | ff63:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff63:3f00::/24 | ff63:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff63:4000::/24 | ff63:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff63:4100::/24 | ff63:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff63:4200::/24 | ff63:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff63:4300::/24 | ff63:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff63:4400::/24 | ff63:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff63:4500::/24 | ff63:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff63:4600::/24 | ff63:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff63:4700::/24 | ff63:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff63:4800::/24 | ff63:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff63:4900::/24 | ff63:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff63:4a00::/24 | ff63:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff63:4b00::/24 | ff63:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff63:4c00::/24 | ff63:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff63:4d00::/24 | ff63:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff63:4e00::/24 | ff63:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff63:4f00::/24 | ff63:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff63:5000::/24 | ff63:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff63:5100::/24 | ff63:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff63:5200::/24 | ff63:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff63:5300::/24 | ff63:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff63:5400::/24 | ff63:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff63:5500::/24 | ff63:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff63:5600::/24 | ff63:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff63:5700::/24 | ff63:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff63:5800::/24 | ff63:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff63:5900::/24 | ff63:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff63:5a00::/24 | ff63:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff63:5b00::/24 | ff63:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff63:5c00::/24 | ff63:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff63:5d00::/24 | ff63:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff63:5e00::/24 | ff63:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff63:5f00::/24 | ff63:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff63:6000::/24 | ff63:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff63:6100::/24 | ff63:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff63:6200::/24 | ff63:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff63:6300::/24 | ff63:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff63:6400::/24 | ff63:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff63:6500::/24 | ff63:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff63:6600::/24 | ff63:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff63:6700::/24 | ff63:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff63:6800::/24 | ff63:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff63:6900::/24 | ff63:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff63:6a00::/24 | ff63:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff63:6b00::/24 | ff63:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff63:6c00::/24 | ff63:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff63:6d00::/24 | ff63:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff63:6e00::/24 | ff63:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff63:6f00::/24 | ff63:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff63:7000::/24 | ff63:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff63:7100::/24 | ff63:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff63:7200::/24 | ff63:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff63:7300::/24 | ff63:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff63:7400::/24 | ff63:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff63:7500::/24 | ff63:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff63:7600::/24 | ff63:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff63:7700::/24 | ff63:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff63:7800::/24 | ff63:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff63:7900::/24 | ff63:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff63:7a00::/24 | ff63:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff63:7b00::/24 | ff63:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff63:7c00::/24 | ff63:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff63:7d00::/24 | ff63:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff63:7e00::/24 | ff63:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff63:7f00::/24 | ff63:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff63:8000::/24 | ff63:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff63:8100::/24 | ff63:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff63:8200::/24 | ff63:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff63:8300::/24 | ff63:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff63:8400::/24 | ff63:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff63:8500::/24 | ff63:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff63:8600::/24 | ff63:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff63:8700::/24 | ff63:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff63:8800::/24 | ff63:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff63:8900::/24 | ff63:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff63:8a00::/24 | ff63:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff63:8b00::/24 | ff63:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff63:8c00::/24 | ff63:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff63:8d00::/24 | ff63:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff63:8e00::/24 | ff63:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff63:8f00::/24 | ff63:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff63:9000::/24 | ff63:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff63:9100::/24 | ff63:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff63:9200::/24 | ff63:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff63:9300::/24 | ff63:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff63:9400::/24 | ff63:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff63:9500::/24 | ff63:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff63:9600::/24 | ff63:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff63:9700::/24 | ff63:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff63:9800::/24 | ff63:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff63:9900::/24 | ff63:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff63:9a00::/24 | ff63:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff63:9b00::/24 | ff63:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff63:9c00::/24 | ff63:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff63:9d00::/24 | ff63:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff63:9e00::/24 | ff63:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff63:9f00::/24 | ff63:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff63:a000::/24 | ff63:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff63:a100::/24 | ff63:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff63:a200::/24 | ff63:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff63:a300::/24 | ff63:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff63:a400::/24 | ff63:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff63:a500::/24 | ff63:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff63:a600::/24 | ff63:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff63:a700::/24 | ff63:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff63:a800::/24 | ff63:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff63:a900::/24 | ff63:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff63:aa00::/24 | ff63:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff63:ab00::/24 | ff63:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff63:ac00::/24 | ff63:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff63:ad00::/24 | ff63:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff63:ae00::/24 | ff63:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff63:af00::/24 | ff63:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff63:b000::/24 | ff63:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff63:b100::/24 | ff63:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff63:b200::/24 | ff63:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff63:b300::/24 | ff63:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff63:b400::/24 | ff63:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff63:b500::/24 | ff63:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff63:b600::/24 | ff63:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff63:b700::/24 | ff63:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff63:b800::/24 | ff63:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff63:b900::/24 | ff63:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff63:ba00::/24 | ff63:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff63:bb00::/24 | ff63:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff63:bc00::/24 | ff63:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff63:bd00::/24 | ff63:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff63:be00::/24 | ff63:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff63:bf00::/24 | ff63:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff63:c000::/24 | ff63:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff63:c100::/24 | ff63:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff63:c200::/24 | ff63:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff63:c300::/24 | ff63:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff63:c400::/24 | ff63:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff63:c500::/24 | ff63:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff63:c600::/24 | ff63:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff63:c700::/24 | ff63:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff63:c800::/24 | ff63:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff63:c900::/24 | ff63:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff63:ca00::/24 | ff63:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff63:cb00::/24 | ff63:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff63:cc00::/24 | ff63:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff63:cd00::/24 | ff63:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff63:ce00::/24 | ff63:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff63:cf00::/24 | ff63:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff63:d000::/24 | ff63:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff63:d100::/24 | ff63:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff63:d200::/24 | ff63:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff63:d300::/24 | ff63:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff63:d400::/24 | ff63:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff63:d500::/24 | ff63:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff63:d600::/24 | ff63:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff63:d700::/24 | ff63:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff63:d800::/24 | ff63:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff63:d900::/24 | ff63:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff63:da00::/24 | ff63:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff63:db00::/24 | ff63:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff63:dc00::/24 | ff63:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff63:dd00::/24 | ff63:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff63:de00::/24 | ff63:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff63:df00::/24 | ff63:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff63:e000::/24 | ff63:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff63:e100::/24 | ff63:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff63:e200::/24 | ff63:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff63:e300::/24 | ff63:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff63:e400::/24 | ff63:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff63:e500::/24 | ff63:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff63:e600::/24 | ff63:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff63:e700::/24 | ff63:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff63:e800::/24 | ff63:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff63:e900::/24 | ff63:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff63:ea00::/24 | ff63:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff63:eb00::/24 | ff63:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff63:ec00::/24 | ff63:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff63:ed00::/24 | ff63:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff63:ee00::/24 | ff63:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff63:ef00::/24 | ff63:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff63:f000::/24 | ff63:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff63:f100::/24 | ff63:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff63:f200::/24 | ff63:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff63:f300::/24 | ff63:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff63:f400::/24 | ff63:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff63:f500::/24 | ff63:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff63:f600::/24 | ff63:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff63:f700::/24 | ff63:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff63:f800::/24 | ff63:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff63:f900::/24 | ff63:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff63:fa00::/24 | ff63:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff63:fb00::/24 | ff63:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff63:fc00::/24 | ff63:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff63:fd00::/24 | ff63:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff63:fe00::/24 | ff63:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff63:ff00::/24 | ff63:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |